
package com.google.api.ads.adwords.jaxws.v201109.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Represents an Age Range criterion.
 *             <p>A criterion of this type can only be created using an ID. A criterion of this type is only excludable.
 *           
 * 
 * <p>Java class for AgeRange complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AgeRange">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201109}Criterion">
 *       &lt;sequence>
 *         &lt;element name="ageRangeType" type="{https://adwords.google.com/api/adwords/cm/v201109}AgeRange.AgeRangeType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AgeRange", propOrder = {
    "ageRangeType"
})
public class AgeRange
    extends Criterion
{

    protected AgeRangeAgeRangeType ageRangeType;

    /**
     * Gets the value of the ageRangeType property.
     * 
     * @return
     *     possible object is
     *     {@link AgeRangeAgeRangeType }
     *     
     */
    public AgeRangeAgeRangeType getAgeRangeType() {
        return ageRangeType;
    }

    /**
     * Sets the value of the ageRangeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link AgeRangeAgeRangeType }
     *     
     */
    public void setAgeRangeType(AgeRangeAgeRangeType value) {
        this.ageRangeType = value;
    }

}
